Update the trunk to the OpenCV's CVS (2008-07-14)
[opencv] / tests / cxcore / src / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 srcdir = @srcdir@
17 top_srcdir = @top_srcdir@
18 VPATH = @srcdir@
19 pkgdatadir = $(datadir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkgincludedir = $(includedir)/@PACKAGE@
22 top_builddir = ../../..
23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
24 INSTALL = @INSTALL@
25 install_sh_DATA = $(install_sh) -c -m 644
26 install_sh_PROGRAM = $(install_sh) -c
27 install_sh_SCRIPT = $(install_sh) -c
28 INSTALL_HEADER = $(INSTALL_DATA)
29 transform = $(program_transform_name)
30 NORMAL_INSTALL = :
31 PRE_INSTALL = :
32 POST_INSTALL = :
33 NORMAL_UNINSTALL = :
34 PRE_UNINSTALL = :
35 POST_UNINSTALL = :
36 build_triplet = @build@
37 host_triplet = @host@
38 target_triplet = @target@
39 check_PROGRAMS = cxcoretest$(EXEEXT)
40 subdir = tests/cxcore/src
41 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
42 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
43 am__aclocal_m4_deps = $(top_srcdir)/autotools/aclocal/az_python.m4 \
44         $(top_srcdir)/autotools/aclocal/pkg.m4 \
45         $(top_srcdir)/autotools/aclocal/swig_complete.m4 \
46         $(top_srcdir)/autotools/aclocal/version_at_least.m4 \
47         $(top_srcdir)/configure.in
48 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
49         $(ACLOCAL_M4)
50 mkinstalldirs = $(SHELL) $(top_srcdir)/autotools/mkinstalldirs
51 CONFIG_HEADER = $(top_builddir)/cvconfig.h
52 CONFIG_CLEAN_FILES =
53 am_cxcoretest_OBJECTS = aarithm.$(OBJEXT) adatastruct.$(OBJEXT) \
54         adxt.$(OBJEXT) amath.$(OBJEXT) cxcoretest_main.$(OBJEXT)
55 cxcoretest_OBJECTS = $(am_cxcoretest_OBJECTS)
56 cxcoretest_DEPENDENCIES = $(top_builddir)/tests/cxts/libcxts.la \
57         $(top_builddir)/cxcore/src/libcxcore.la
58 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
59 depcomp = $(SHELL) $(top_srcdir)/autotools/depcomp
60 am__depfiles_maybe = depfiles
61 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
62         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
63 LTCXXCOMPILE = $(LIBTOOL) --tag=CXX --mode=compile $(CXX) $(DEFS) \
64         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
65         $(AM_CXXFLAGS) $(CXXFLAGS)
66 CXXLD = $(CXX)
67 CXXLINK = $(LIBTOOL) --tag=CXX --mode=link $(CXXLD) $(AM_CXXFLAGS) \
68         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
69 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
70         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
71 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
72         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
73         $(AM_CFLAGS) $(CFLAGS)
74 CCLD = $(CC)
75 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
76         $(AM_LDFLAGS) $(LDFLAGS) -o $@
77 SOURCES = $(cxcoretest_SOURCES)
78 DIST_SOURCES = $(cxcoretest_SOURCES)
79 ETAGS = etags
80 CTAGS = ctags
81 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
82 ACLOCAL = @ACLOCAL@
83 ALLOCA = @ALLOCA@
84 AMDEP_FALSE = @AMDEP_FALSE@
85 AMDEP_TRUE = @AMDEP_TRUE@
86 AMTAR = @AMTAR@
87 AR = @AR@
88 AS = @AS@
89 AUTOCONF = @AUTOCONF@
90 AUTOHEADER = @AUTOHEADER@
91 AUTOMAKE = @AUTOMAKE@
92 AWK = @AWK@
93 BUILD_APPS_FALSE = @BUILD_APPS_FALSE@
94 BUILD_APPS_TRUE = @BUILD_APPS_TRUE@
95 BUILD_CARBON_FALSE = @BUILD_CARBON_FALSE@
96 BUILD_CARBON_TRUE = @BUILD_CARBON_TRUE@
97 BUILD_DC1394_FALSE = @BUILD_DC1394_FALSE@
98 BUILD_DC1394_TRUE = @BUILD_DC1394_TRUE@
99 BUILD_FFMPEG_FALSE = @BUILD_FFMPEG_FALSE@
100 BUILD_FFMPEG_TRUE = @BUILD_FFMPEG_TRUE@
101 BUILD_GSTREAMER_FALSE = @BUILD_GSTREAMER_FALSE@
102 BUILD_GSTREAMER_TRUE = @BUILD_GSTREAMER_TRUE@
103 BUILD_GTK_FALSE = @BUILD_GTK_FALSE@
104 BUILD_GTK_TRUE = @BUILD_GTK_TRUE@
105 BUILD_IMAGEIO_FALSE = @BUILD_IMAGEIO_FALSE@
106 BUILD_IMAGEIO_TRUE = @BUILD_IMAGEIO_TRUE@
107 BUILD_OCTAVE_WRAPPERS_FALSE = @BUILD_OCTAVE_WRAPPERS_FALSE@
108 BUILD_OCTAVE_WRAPPERS_TRUE = @BUILD_OCTAVE_WRAPPERS_TRUE@
109 BUILD_PYTHON_WRAPPERS_FALSE = @BUILD_PYTHON_WRAPPERS_FALSE@
110 BUILD_PYTHON_WRAPPERS_TRUE = @BUILD_PYTHON_WRAPPERS_TRUE@
111 BUILD_QUICKTIME_FALSE = @BUILD_QUICKTIME_FALSE@
112 BUILD_QUICKTIME_TRUE = @BUILD_QUICKTIME_TRUE@
113 BUILD_V4L_FALSE = @BUILD_V4L_FALSE@
114 BUILD_V4L_TRUE = @BUILD_V4L_TRUE@
115 BUILD_XINE_FALSE = @BUILD_XINE_FALSE@
116 BUILD_XINE_TRUE = @BUILD_XINE_TRUE@
117 CARBON_CFLAGS = @CARBON_CFLAGS@
118 CARBON_LIBS = @CARBON_LIBS@
119 CC = @CC@
120 CCDEPMODE = @CCDEPMODE@
121 CFLAGS = @CFLAGS@
122 CPP = @CPP@
123 CPPFLAGS = @CPPFLAGS@
124 CXX = @CXX@
125 CXXCPP = @CXXCPP@
126 CXXDEPMODE = @CXXDEPMODE@
127 CXXFLAGS = @CXXFLAGS@
128 CYGPATH_W = @CYGPATH_W@
129 DEBUG = @DEBUG@
130 DEFS = @DEFS@
131 DEF_CXXFLAGS = @DEF_CXXFLAGS@
132 DEPDIR = @DEPDIR@
133 DLLTOOL = @DLLTOOL@
134 DSYMUTIL = @DSYMUTIL@
135 ECHO = @ECHO@
136 ECHO_C = @ECHO_C@
137 ECHO_N = @ECHO_N@
138 ECHO_T = @ECHO_T@
139 EGREP = @EGREP@
140 EXEEXT = @EXEEXT@
141 F77 = @F77@
142 FFLAGS = @FFLAGS@
143 FFMPEGLIBS = @FFMPEGLIBS@
144 GREP = @GREP@
145 GSTREAMER_CFLAGS = @GSTREAMER_CFLAGS@
146 GSTREAMER_LIBS = @GSTREAMER_LIBS@
147 GTHREAD_CFLAGS = @GTHREAD_CFLAGS@
148 GTHREAD_LIBS = @GTHREAD_LIBS@
149 GTK_CFLAGS = @GTK_CFLAGS@
150 GTK_LIBS = @GTK_LIBS@
151 IEEE1394LIBS = @IEEE1394LIBS@
152 IMAGELIBS = @IMAGELIBS@
153 INSTALL_DATA = @INSTALL_DATA@
154 INSTALL_PROGRAM = @INSTALL_PROGRAM@
155 INSTALL_SCRIPT = @INSTALL_SCRIPT@
156 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
157 LDFLAGS = @LDFLAGS@
158 LIBOBJS = @LIBOBJS@
159 LIBS = @LIBS@
160 LIBTOOL = @LIBTOOL@
161 LN_S = @LN_S@
162 LTLIBOBJS = @LTLIBOBJS@
163 LT_VERSION = @LT_VERSION@
164 MAKEINFO = @MAKEINFO@
165 MKOCTFILE = @MKOCTFILE@
166 MMAJOR = @MMAJOR@
167 MMINOR = @MMINOR@
168 MSUBMINOR = @MSUBMINOR@
169 NMEDIT = @NMEDIT@
170 OBJDUMP = @OBJDUMP@
171 OBJEXT = @OBJEXT@
172 OCTAVE = @OCTAVE@
173 OCTAVE_ARCH = @OCTAVE_ARCH@
174 OCT_CXXFLAGS = @OCT_CXXFLAGS@
175 PACKAGE = @PACKAGE@
176 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
177 PACKAGE_NAME = @PACKAGE_NAME@
178 PACKAGE_STRING = @PACKAGE_STRING@
179 PACKAGE_TARNAME = @PACKAGE_TARNAME@
180 PACKAGE_VERSION = @PACKAGE_VERSION@
181 PATH_SEPARATOR = @PATH_SEPARATOR@
182 PKG_CONFIG = @PKG_CONFIG@
183 PYTHON = @PYTHON@
184 PYTHON_CSPEC = @PYTHON_CSPEC@
185 PYTHON_EXEC_PREFIX = @PYTHON_EXEC_PREFIX@
186 PYTHON_LSPEC = @PYTHON_LSPEC@
187 PYTHON_PLATFORM = @PYTHON_PLATFORM@
188 PYTHON_PREFIX = @PYTHON_PREFIX@
189 PYTHON_VERSION = @PYTHON_VERSION@
190 PY_CXXFLAGS = @PY_CXXFLAGS@
191 QUICKTIME_CFLAGS = @QUICKTIME_CFLAGS@
192 QUICKTIME_LIBS = @QUICKTIME_LIBS@
193 RANLIB = @RANLIB@
194 SED = @SED@
195 SET_MAKE = @SET_MAKE@
196 SHELL = @SHELL@
197 STRIP = @STRIP@
198 SWIG = @SWIG@
199 SWIG_OCTAVE_OPT = @SWIG_OCTAVE_OPT@
200 SWIG_PYTHON_LIBS = @SWIG_PYTHON_LIBS@
201 SWIG_PYTHON_OPT = @SWIG_PYTHON_OPT@
202 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
203 SWIG_VERSION = @SWIG_VERSION@
204 UPDATE_SWIG_WRAPPERS_FALSE = @UPDATE_SWIG_WRAPPERS_FALSE@
205 UPDATE_SWIG_WRAPPERS_TRUE = @UPDATE_SWIG_WRAPPERS_TRUE@
206 VERSION = @VERSION@
207 XINE_LIBS = @XINE_LIBS@
208 ac_ct_CC = @ac_ct_CC@
209 ac_ct_CXX = @ac_ct_CXX@
210 ac_ct_F77 = @ac_ct_F77@
211 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
212 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
213 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
214 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
215 am__include = @am__include@
216 am__leading_dot = @am__leading_dot@
217 am__quote = @am__quote@
218 am__tar = @am__tar@
219 am__untar = @am__untar@
220 bindir = @bindir@
221 build = @build@
222 build_alias = @build_alias@
223 build_cpu = @build_cpu@
224 build_os = @build_os@
225 build_vendor = @build_vendor@
226 datadir = @datadir@
227 datarootdir = @datarootdir@
228 docdir = @docdir@
229 dvidir = @dvidir@
230 exec_prefix = @exec_prefix@
231 host = @host@
232 host_alias = @host_alias@
233 host_cpu = @host_cpu@
234 host_os = @host_os@
235 host_vendor = @host_vendor@
236 htmldir = @htmldir@
237 includedir = @includedir@
238 infodir = @infodir@
239 install_sh = @install_sh@
240 libdir = @libdir@
241 libexecdir = @libexecdir@
242 localedir = @localedir@
243 localstatedir = @localstatedir@
244 mandir = @mandir@
245 mkdir_p = @mkdir_p@
246 oldincludedir = @oldincludedir@
247 pdfdir = @pdfdir@
248 pkgpyexecdir = @pkgpyexecdir@
249 pkgpythondir = @pkgpythondir@
250 prefix = @prefix@
251 program_transform_name = @program_transform_name@
252 psdir = @psdir@
253 pyexecdir = @pyexecdir@
254 pythondir = @pythondir@
255 sbindir = @sbindir@
256 sharedstatedir = @sharedstatedir@
257 sysconfdir = @sysconfdir@
258 target = @target@
259 target_alias = @target_alias@
260 target_cpu = @target_cpu@
261 target_os = @target_os@
262 target_vendor = @target_vendor@
263
264 # use the default c++ flags
265 AM_CXXFLAGS = @DEF_CXXFLAGS@
266 EXTRA_DIST = precomp.cpp cxcoretest.dsp cxcoretest.vcproj
267 INCLUDES = \
268         -I$(top_srcdir)/cxcore/include \
269         -I$(top_srcdir)/tests/cxts
270
271 TESTS = $(check_PROGRAMS)
272 cxcoretest_SOURCES = \
273         cxcoretest.h        \
274         aarithm.cpp         \
275         adatastruct.cpp     \
276         adxt.cpp            \
277         amath.cpp           \
278         cxcoretest_main.cpp
279
280 cxcoretest_LDADD = \
281         $(top_builddir)/tests/cxts/libcxts.la \
282         $(top_builddir)/cxcore/src/libcxcore.la
283
284 all: all-am
285
286 .SUFFIXES:
287 .SUFFIXES: .cpp .lo .o .obj
288 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
289         @for dep in $?; do \
290           case '$(am__configure_deps)' in \
291             *$$dep*) \
292               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
293                 && exit 0; \
294               exit 1;; \
295           esac; \
296         done; \
297         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  tests/cxcore/src/Makefile'; \
298         cd $(top_srcdir) && \
299           $(AUTOMAKE) --gnu  tests/cxcore/src/Makefile
300 .PRECIOUS: Makefile
301 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
302         @case '$?' in \
303           *config.status*) \
304             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
305           *) \
306             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
307             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
308         esac;
309
310 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
311         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
312
313 $(top_srcdir)/configure:  $(am__configure_deps)
314         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
315 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
316         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
317
318 clean-checkPROGRAMS:
319         @list='$(check_PROGRAMS)'; for p in $$list; do \
320           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
321           echo " rm -f $$p $$f"; \
322           rm -f $$p $$f ; \
323         done
324 cxcoretest$(EXEEXT): $(cxcoretest_OBJECTS) $(cxcoretest_DEPENDENCIES) 
325         @rm -f cxcoretest$(EXEEXT)
326         $(CXXLINK) $(cxcoretest_LDFLAGS) $(cxcoretest_OBJECTS) $(cxcoretest_LDADD) $(LIBS)
327
328 mostlyclean-compile:
329         -rm -f *.$(OBJEXT)
330
331 distclean-compile:
332         -rm -f *.tab.c
333
334 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/aarithm.Po@am__quote@
335 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adatastruct.Po@am__quote@
336 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/adxt.Po@am__quote@
337 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/amath.Po@am__quote@
338 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cxcoretest_main.Po@am__quote@
339
340 .cpp.o:
341 @am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
342 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
343 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
344 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
345 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
346
347 .cpp.obj:
348 @am__fastdepCXX_TRUE@   if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
349 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
350 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
351 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
352 @am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
353
354 .cpp.lo:
355 @am__fastdepCXX_TRUE@   if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
356 @am__fastdepCXX_TRUE@   then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
357 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
358 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
359 @am__fastdepCXX_FALSE@  $(LTCXXCOMPILE) -c -o $@ $<
360
361 mostlyclean-libtool:
362         -rm -f *.lo
363
364 clean-libtool:
365         -rm -rf .libs _libs
366
367 distclean-libtool:
368         -rm -f libtool
369 uninstall-info-am:
370
371 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
372         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
373         unique=`for i in $$list; do \
374             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
375           done | \
376           $(AWK) '    { files[$$0] = 1; } \
377                END { for (i in files) print i; }'`; \
378         mkid -fID $$unique
379 tags: TAGS
380
381 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
382                 $(TAGS_FILES) $(LISP)
383         tags=; \
384         here=`pwd`; \
385         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
386         unique=`for i in $$list; do \
387             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
388           done | \
389           $(AWK) '    { files[$$0] = 1; } \
390                END { for (i in files) print i; }'`; \
391         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
392           test -n "$$unique" || unique=$$empty_fix; \
393           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
394             $$tags $$unique; \
395         fi
396 ctags: CTAGS
397 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
398                 $(TAGS_FILES) $(LISP)
399         tags=; \
400         here=`pwd`; \
401         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
402         unique=`for i in $$list; do \
403             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
404           done | \
405           $(AWK) '    { files[$$0] = 1; } \
406                END { for (i in files) print i; }'`; \
407         test -z "$(CTAGS_ARGS)$$tags$$unique" \
408           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
409              $$tags $$unique
410
411 GTAGS:
412         here=`$(am__cd) $(top_builddir) && pwd` \
413           && cd $(top_srcdir) \
414           && gtags -i $(GTAGS_ARGS) $$here
415
416 distclean-tags:
417         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
418
419 check-TESTS: $(TESTS)
420         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
421         srcdir=$(srcdir); export srcdir; \
422         list='$(TESTS)'; \
423         if test -n "$$list"; then \
424           for tst in $$list; do \
425             if test -f ./$$tst; then dir=./; \
426             elif test -f $$tst; then dir=; \
427             else dir="$(srcdir)/"; fi; \
428             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
429               all=`expr $$all + 1`; \
430               case " $(XFAIL_TESTS) " in \
431               *" $$tst "*) \
432                 xpass=`expr $$xpass + 1`; \
433                 failed=`expr $$failed + 1`; \
434                 echo "XPASS: $$tst"; \
435               ;; \
436               *) \
437                 echo "PASS: $$tst"; \
438               ;; \
439               esac; \
440             elif test $$? -ne 77; then \
441               all=`expr $$all + 1`; \
442               case " $(XFAIL_TESTS) " in \
443               *" $$tst "*) \
444                 xfail=`expr $$xfail + 1`; \
445                 echo "XFAIL: $$tst"; \
446               ;; \
447               *) \
448                 failed=`expr $$failed + 1`; \
449                 echo "FAIL: $$tst"; \
450               ;; \
451               esac; \
452             else \
453               skip=`expr $$skip + 1`; \
454               echo "SKIP: $$tst"; \
455             fi; \
456           done; \
457           if test "$$failed" -eq 0; then \
458             if test "$$xfail" -eq 0; then \
459               banner="All $$all tests passed"; \
460             else \
461               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
462             fi; \
463           else \
464             if test "$$xpass" -eq 0; then \
465               banner="$$failed of $$all tests failed"; \
466             else \
467               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
468             fi; \
469           fi; \
470           dashes="$$banner"; \
471           skipped=""; \
472           if test "$$skip" -ne 0; then \
473             skipped="($$skip tests were not run)"; \
474             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
475               dashes="$$skipped"; \
476           fi; \
477           report=""; \
478           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
479             report="Please report to $(PACKAGE_BUGREPORT)"; \
480             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
481               dashes="$$report"; \
482           fi; \
483           dashes=`echo "$$dashes" | sed s/./=/g`; \
484           echo "$$dashes"; \
485           echo "$$banner"; \
486           test -z "$$skipped" || echo "$$skipped"; \
487           test -z "$$report" || echo "$$report"; \
488           echo "$$dashes"; \
489           test "$$failed" -eq 0; \
490         else :; fi
491
492 distdir: $(DISTFILES)
493         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
494         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
495         list='$(DISTFILES)'; for file in $$list; do \
496           case $$file in \
497             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
498             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
499           esac; \
500           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
501           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
502           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
503             dir="/$$dir"; \
504             $(mkdir_p) "$(distdir)$$dir"; \
505           else \
506             dir=''; \
507           fi; \
508           if test -d $$d/$$file; then \
509             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
510               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
511             fi; \
512             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
513           else \
514             test -f $(distdir)/$$file \
515             || cp -p $$d/$$file $(distdir)/$$file \
516             || exit 1; \
517           fi; \
518         done
519 check-am: all-am
520         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
521         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
522 check: check-am
523 all-am: Makefile
524 installdirs:
525 install: install-am
526 install-exec: install-exec-am
527 install-data: install-data-am
528 uninstall: uninstall-am
529
530 install-am: all-am
531         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
532
533 installcheck: installcheck-am
534 install-strip:
535         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
536           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
537           `test -z '$(STRIP)' || \
538             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
539 mostlyclean-generic:
540
541 clean-generic:
542
543 distclean-generic:
544         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
545
546 maintainer-clean-generic:
547         @echo "This command is intended for maintainers to use"
548         @echo "it deletes files that may require special tools to rebuild."
549 clean: clean-am
550
551 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
552         mostlyclean-am
553
554 distclean: distclean-am
555         -rm -rf ./$(DEPDIR)
556         -rm -f Makefile
557 distclean-am: clean-am distclean-compile distclean-generic \
558         distclean-libtool distclean-tags
559
560 dvi: dvi-am
561
562 dvi-am:
563
564 html: html-am
565
566 info: info-am
567
568 info-am:
569
570 install-data-am:
571
572 install-exec-am:
573
574 install-info: install-info-am
575
576 install-man:
577
578 installcheck-am:
579
580 maintainer-clean: maintainer-clean-am
581         -rm -rf ./$(DEPDIR)
582         -rm -f Makefile
583 maintainer-clean-am: distclean-am maintainer-clean-generic
584
585 mostlyclean: mostlyclean-am
586
587 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
588         mostlyclean-libtool
589
590 pdf: pdf-am
591
592 pdf-am:
593
594 ps: ps-am
595
596 ps-am:
597
598 uninstall-am: uninstall-info-am
599
600 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
601         clean-checkPROGRAMS clean-generic clean-libtool ctags \
602         distclean distclean-compile distclean-generic \
603         distclean-libtool distclean-tags distdir dvi dvi-am html \
604         html-am info info-am install install-am install-data \
605         install-data-am install-exec install-exec-am install-info \
606         install-info-am install-man install-strip installcheck \
607         installcheck-am installdirs maintainer-clean \
608         maintainer-clean-generic mostlyclean mostlyclean-compile \
609         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
610         tags uninstall uninstall-am uninstall-info-am
611
612 # Tell versions [3.59,3.63) of GNU make to not export all variables.
613 # Otherwise a system limit (for SysV at least) may be exceeded.
614 .NOEXPORT: